@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900');
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro&display=swap');

body 
{
  margin: 0;
  font-size: 28px;
  font-family: Poppins;
}

a
{
  color: gray;
}


/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

#navbar 
{
  overflow: hidden;
  background-color: white;
  padding: 20px 10px; 
  transition: 0.4s; 
  position: fixed; 
  width: 100%;
  top: 0; 
  z-index: 99;
  height: 67px;
  font-family: Poppins;
}


#navbar a 
{
  float: left;
  text-align: center;
  padding: 12px;
  text-decoration: none;
  font-size: 18px;
  border-radius: 4px;
  font-weight: bold;
}

.linki:hover
{
  color: black;
}

@media screen and (max-width: 580px) 
{
  #navbar 
  {
    padding: 10px 10px !important; 
  }
  
  #navbar a 
  {
    float: none;
    display: block;
    text-align: left;
  }

}


/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

#div_logo
{
	float: left;
	margin-left: 100px;
}

#div_linki
{
	margin-top: 14px;
}

#home_link
{
	margin-left: 150px;
}

#menu_buttons
{
	float: right;
	margin-right: 70px;
}

#empty
{
  margin-top: 200px;
}


/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

.content {
  text-align: center;
}

#zdjecia {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
}
#banner
{
  width: 100%;
}

#banner_search
{
  margin-top: 100px;
  overflow-x: hidden;
}


/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */


.checked 
{
  color: orange;
  margin-top: 30px;
}


.footer 
{
  bottom:0;
  left:0;
  position:fixed;
  width: 100%;
  height: 2em;
  overflow:hidden;
  margin:0 auto;
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  -o-transition: all 1s ease;
  -ms-transition: all 1s ease;
  transition: all 1s ease;
  z-index:999;
}

.footer:hover 
{
  -webkit-transition: all 1s ease;
  -moz-transition: all 1s ease;
  -o-transition: all 1s ease;
  -ms-transition: all 1s ease;
  transition: all 1s ease;
  height: 4em;
}

.footer #container
{
  margin-top:35px;
  width:100%;
  height:100%;
  position:relative;
  top:0;
  left:0;
  background: white;
}
.footer #cont
{
  position:relative;
  top:-45px;
  right:190px;
  width:150px;
  height:auto;
  margin:0 auto;
}

#footer_right
{
  width:600px;
  float: right;
  text-align:center;
  font-size: 20px;
}

/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// */

.image-banner {
  display: flex;
  justify-content: center;
  align-items: center;
}

#wyszukiwarka input
{
  margin-left: 15px;
	margin-top: 30px;
	box-sizing: border-box;
	border-radius: 4px;
	height: 30px;
	border: 2px solid #ccc;
	width: 300px;
	-webkit-transition: width 0.4s ease-in-out;
	background-position: 10px 10px; 
  	background-repeat: no-repeat;
  	padding: 12px 20px 12px 40px;
  	transition: width 0.4s ease-in-out;
}

#wyszukiwarka input:focus 
{
  width: 78%;
}

#szukaj_button
{
	height: 30px;
	border: 2px solid #ccc;
	border-radius: 4px;
	margin-left: 1px;
}

.box {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 300px;
  text-align: center;
  margin-right: 20px;
  margin-left: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

 .full-description {
  white-space: normal;
  overflow: auto;
}

.short-description
{
  overflow: hidden;
  text-overflow: ellipsis;
}


.box-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 60px;
  overflow-y: auto;
}

.cena
{
  color: grey;
  font-size: 22px;
}

.box button 
{
  border: none;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}

.box button:hover 
{
  opacity: 0.7;
}

#opis
{
	font-size: 15px;
}

#tytul
{
	font-size: 35px;
}


/*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/

#logo2
{
	margin-left: 250px;
	margin-top: 20px;
  scale: 30%;
}

.logbox
{
  margin-top: 20px;
  margin-left: auto;
  margin-right: auto;
  width: 380px;
  background: #fff;
  border-radius: 15px;
  box-shadow: 0px 15px 20px rgba(0,0,0,0.1);
}

#naglowek
{
  font-size: 35px;
  font-weight: 600;
  text-align: center;
  line-height: 100px;
  color: #fff;
  user-select: none;
  border-radius: 15px 15px 0 0;
  background: linear-gradient(-135deg, #c210a0, #46108a);
}
.logbox form
{
  padding: 10px 30px 50px 30px;
}
.logbox form .field
{
  height: 50px;
  width: 100%;
  margin-top: 30px;
  position: relative;
}
.inputy
{
  height: 100%;
  width: 100%;
  outline: none;
  font-size: 17px;
  padding-left: 20px;
  border: 1px solid lightgrey;
  border-radius: 25px;
}
.inputy:focus,
.inputy:valid
{
  border-color: #4158d0;
}
.logbox form .field label
{
  position: absolute;
  top: 50%;
  left: 20px;
  color: #999999;
  user-select: none;
}

form .field input:focus ~ label,
form .field input:valid ~ label
{
  top: 0%;
  font-size: 16px;
  color: #4158d0;
  background: #fff;
  transform: translateY(-50%);
}

form .field textarea:focus ~ label,
form .field textarea:valid ~ label
{
  top: 0%;
  font-size: 16px;
  color: #4158d0;
  background: #fff;
  transform: translateY(-50%);
}

form .field select:focus ~ label,
form .field select:valid ~ label
{
  top: 0%;
  font-size: 16px;
  color: #4158d0;
  background: #fff;
  transform: translateY(-50%);
}

#button_log
{
  color: #fff;
  border: none;
  padding-left: 0;
  margin-top: -10px;
  font-size: 20px;
  font-weight: 500;
  cursor: pointer;
  background: linear-gradient(-135deg, #c210a0, #46108a);
  transition: all 0.3s ease;
}

#button_log:active
{
  transform: scale(0.95);
}

#link_reg
{
  color: #262626;
  margin-top: 20px;
  text-align: center;
}

#link_reg a
{
  color: #4158d0;
  text-decoration: none;
}

#link_reg a:hover
{
  text-decoration: underline;
}

/*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/

#tabela
{
  	border: 2px solid black;
  	border-radius: 10px;
}

th, td 
{
  padding: 8px;
  border-bottom: 1px solid #ddd;
  text-align: center;
}

#trash
{
	margin-top: 15px;
	height: 30px;
	border: none;
	background-color: white;
}

#ikona_trash
{
	color: red;
	font-size: 1.3rem;
}

#potwierdz
{
	text-decoration: none;
	border-radius: 4px;
	border: none;
	background-color: white;
	font-family: Poppins;
	font-weight: bold;
	color: #0099ff;
}
